## ros-kinetic-dsr-description 0.9.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dsr_description)
find_package(catkin REQUIRED)
catkin_package()

install(DIRECTORY launch
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== config/plugin/robotiq_gazebo/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.3)
PROJECT(robotiq_gazebo)

FIND_PACKAGE(catkin REQUIRED COMPONENTS 
  roscpp
  gazebo_ros
  control_toolbox
  xmlrpcpp
)

FIND_PACKAGE(gazebo REQUIRED)
FIND_PACKAGE(Boost REQUIRED COMPONENTS thread)
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GAZEBO_CXX_FLAGS}")

CATKIN_PACKAGE(
  DEPENDS 
    roscpp
    gazebo_ros
    control_toolbox
    xmlrpcpp
)

LINK_DIRECTORIES(
  ${GAZEBO_LIBRARY_DIRS}
)
INCLUDE_DIRECTORIES(
  ${Boost_INCLUDE_DIR}
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
  include
)

ADD_LIBRARY(gazebo_mimic_joint_plugin src/mimic_joint_plugin.cpp)
TARGET_LINK_LIBRARIES(gazebo_mimic_joint_plugin
  ${catkin_LIBRARIES}
  ${GAZEBO_LIBRARIES})

ADD_LIBRARY(gazebo_disable_link_plugin src/disable_link_plugin.cpp)
TARGET_LINK_LIBRARIES(gazebo_disable_link_plugin
  ${catkin_LIBRARIES}
  ${GAZEBO_LIBRARIES})

=== debian/changelog ===
ros-kinetic-dsr-description (0.9.6-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Doosan Robotics <ros.robotics@doosan.com>  Mon, 22 Apr 2019 01:56:23 -0000

ros-kinetic-dsr-description (0.9.5-1xenial) xenial; urgency=high

  * add robotiq plugin
  * remove urdf
  * Add robotiq_gripper
  * 20190403 update
  * 20190403 update
  * Contributors: doosan-robotics

 -- Doosan Robotics <ros.robotics@doosan.com>  Sun, 21 Apr 2019 15:00:00 -0000

ros-kinetic-dsr-description (0.9.4-1xenial) xenial; urgency=high



 -- Doosan Robotics <ros.robotics@doosan.com>  Sun, 31 Mar 2019 15:00:00 -0000

ros-kinetic-dsr-description (0.9.3-1xenial) xenial; urgency=high



 -- Doosan Robotics <ros.robotics@doosan.com>  Wed, 27 Mar 2019 15:00:00 -0000

ros-kinetic-dsr-description (0.9.1-1xenial) xenial; urgency=high



 -- Doosan Robotics <ros.robotics@doosan.com>  Tue, 26 Mar 2019 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-dsr-description
Section: misc
Priority: extra
Maintainer: Doosan Robotics <ros.robotics@doosan.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/doosan_robotics
Standards-Version: 3.9.2

Package: ros-kinetic-dsr-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: The dsr_description package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-dsr-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
